package com.bonus.canteen.core.device.manage.model.metadata;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

public class WeightMetadata extends BaseMetadate implements Serializable {
   @ApiModelProperty("人脸识别通过分（默认80 不得低于70）")
   private String faceScore = "80";
   @ApiModelProperty("人脸摄像头大小")
   private String faceSize = "100";
   @ApiModelProperty("人脸摄像头视距")
   private String faceStadia = "100";
   @ApiModelProperty("是否关注勺子重量 1关注 2不关注")
   private String weighIfSpoonWeight = "2";
   @ApiModelProperty("菜勺重量 默认0")
   private String weighSpoonWeight = "0";
   @ApiModelProperty("核身方式  1卡  2脸  3码   默认1")
   private String weighNuclearModel = "1";
   @ApiModelProperty("秤盘模式  1单称  2双称  默认 1")
   private String weighScaleModel = "1";
   @ApiModelProperty("音量  默认 100")
   private String volume = "100";
   @ApiModelProperty("报警时长 默认15秒")
   private String alarmTime;
   @ApiModelProperty("wifi名称1")
   private String wifiNameFirst = "";
   @ApiModelProperty("wifi密码1")
   private String wifiPwdFirst = "";
   @ApiModelProperty("wifi加密类型 1- 无 2- WIFICIPHER_WEP, 3- WIFICIPHER_WPA, 4- WIFICIPHER_NOPASS, 5- WIFICIPHER_INVALID   默认2  ")
   private String wifiPwdTypeFirst = "2";
   @ApiModelProperty("wifi名称1")
   private String wifiNameSecond = "";
   @ApiModelProperty("wifi密码1")
   private String wifiPwdSecond = "";
   @ApiModelProperty("wifi加密类型 1- 无 2- WIFICIPHER_WEP, 3- WIFICIPHER_WPA, 4- WIFICIPHER_NOPASS, 5- WIFICIPHER_INVALID   默认2  ")
   private String wifiPwdTypeSecond = "2";
   @ApiModelProperty("报警灯  1单报警 2双报警")
   private String weighAlarmLight = "1";
   @ApiModelProperty("报警模式   1 语音报警  2 滴滴报警 3 屏蔽报警")
   private String weighAlarmModel = "1";

   public String getFaceScore() {
      return this.faceScore;
   }

   public String getFaceSize() {
      return this.faceSize;
   }

   public String getFaceStadia() {
      return this.faceStadia;
   }

   public String getWeighIfSpoonWeight() {
      return this.weighIfSpoonWeight;
   }

   public String getWeighSpoonWeight() {
      return this.weighSpoonWeight;
   }

   public String getWeighNuclearModel() {
      return this.weighNuclearModel;
   }

   public String getWeighScaleModel() {
      return this.weighScaleModel;
   }

   public String getVolume() {
      return this.volume;
   }

   public String getAlarmTime() {
      return this.alarmTime;
   }

   public String getWifiNameFirst() {
      return this.wifiNameFirst;
   }

   public String getWifiPwdFirst() {
      return this.wifiPwdFirst;
   }

   public String getWifiPwdTypeFirst() {
      return this.wifiPwdTypeFirst;
   }

   public String getWifiNameSecond() {
      return this.wifiNameSecond;
   }

   public String getWifiPwdSecond() {
      return this.wifiPwdSecond;
   }

   public String getWifiPwdTypeSecond() {
      return this.wifiPwdTypeSecond;
   }

   public String getWeighAlarmLight() {
      return this.weighAlarmLight;
   }

   public String getWeighAlarmModel() {
      return this.weighAlarmModel;
   }

   public void setFaceScore(final String faceScore) {
      this.faceScore = faceScore;
   }

   public void setFaceSize(final String faceSize) {
      this.faceSize = faceSize;
   }

   public void setFaceStadia(final String faceStadia) {
      this.faceStadia = faceStadia;
   }

   public void setWeighIfSpoonWeight(final String weighIfSpoonWeight) {
      this.weighIfSpoonWeight = weighIfSpoonWeight;
   }

   public void setWeighSpoonWeight(final String weighSpoonWeight) {
      this.weighSpoonWeight = weighSpoonWeight;
   }

   public void setWeighNuclearModel(final String weighNuclearModel) {
      this.weighNuclearModel = weighNuclearModel;
   }

   public void setWeighScaleModel(final String weighScaleModel) {
      this.weighScaleModel = weighScaleModel;
   }

   public void setVolume(final String volume) {
      this.volume = volume;
   }

   public void setAlarmTime(final String alarmTime) {
      this.alarmTime = alarmTime;
   }

   public void setWifiNameFirst(final String wifiNameFirst) {
      this.wifiNameFirst = wifiNameFirst;
   }

   public void setWifiPwdFirst(final String wifiPwdFirst) {
      this.wifiPwdFirst = wifiPwdFirst;
   }

   public void setWifiPwdTypeFirst(final String wifiPwdTypeFirst) {
      this.wifiPwdTypeFirst = wifiPwdTypeFirst;
   }

   public void setWifiNameSecond(final String wifiNameSecond) {
      this.wifiNameSecond = wifiNameSecond;
   }

   public void setWifiPwdSecond(final String wifiPwdSecond) {
      this.wifiPwdSecond = wifiPwdSecond;
   }

   public void setWifiPwdTypeSecond(final String wifiPwdTypeSecond) {
      this.wifiPwdTypeSecond = wifiPwdTypeSecond;
   }

   public void setWeighAlarmLight(final String weighAlarmLight) {
      this.weighAlarmLight = weighAlarmLight;
   }

   public void setWeighAlarmModel(final String weighAlarmModel) {
      this.weighAlarmModel = weighAlarmModel;
   }

}
